
Redmine - Defect #4686

When exporting to PDF, text should wrap and honor newlines, instead of being constrained to one

line

2010-01-28 22:01 - Kioma Aldecoa

Status: Closed Start date: 2010-01-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When exporting to PDF, fields with long text string are cut off.  The text stays on one row, and any text to the right of the column

boundary is cut off.

Instead, it would be very useful if long text wrapped to the next line.

Also, custom fields with multi-line support are also constrained to one line/row, even when there are newlines in the text.  I would

expect PDF export to honor the newlines in such fields with explicit newlines.

I briefly checked out the PDF export library used by Redmine.  It seems to not support any form of text wrapping.  People that use it

seem to be switching to prawn.

Related issues:

Is duplicate of Redmine - Patch #5629: Wrap text fields properly in PDF Closed 2010-06-01

History

#1 - 2010-01-28 22:01 - Kioma Aldecoa

Related to #3164

#2 - 2010-01-28 22:02 - Kioma Aldecoa

Make that #3614

#3 - 2010-06-01 13:51 - Hugo Ferreira

Please see patch #5629

#4 - 2011-02-04 15:39 - Etienne Massip

- Category set to PDF export

#5 - 2011-04-30 02:41 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed in #5629.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/issues/3164
https://www.redmine.org/issues/3614
https://www.redmine.org/issues/5629
https://www.redmine.org/issues/5629
http://www.tcpdf.org

